"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const read_path_configs_1 = require("./read-path-configs");
function getBabelOptions(options) {
    if (options.babelOptions) {
        return options;
    }
    const { paths, baseUrl } = read_path_configs_1.getConfigPaths();
    if (!paths) {
        return options;
    }
    return Object.assign({ babelOptions: {
            plugins: [
                [
                    'babel-plugin-module-resolver',
                    {
                        root: [baseUrl || './'],
                        alias: Object.keys(paths).reduce((accum, key) => {
                            accum[key.replace(/\/\*$/, '')] = paths[key].map((s) => s.replace(/\/\*$/, ''))[0];
                            return accum;
                        }, {}),
                        extensions: ['.tsx', '.ts']
                    }
                ]
            ]
        } }, options);
}
exports.default = getBabelOptions;
//# sourceMappingURL=index.js.map